/**************************************************************************/
/* FILE NAME: ex_funcs.c                      COPYRIGHT (c) MOTOROLA 1999 */
/* VERSION: 1.3                                   All Rights Reserved     */
/*                                                                        */
/* DESCRIPTION:                                                           */
/* This file contains empty exception routines that are referenced by     */
/* the exception table file ex_tbl.s or ex_tblc.s. The reset exception    */
/* _start is not in this file, it is normally in crt0.s or crt0etas.s     */
/*========================================================================*/
/* COMPILER: Diab Data        VERSION: 4.2b                               */
/* AUTHOR: Jeff Loeliger                                                  */
/*                                                                        */
/* HISTORY                                                                */
/* REV      AUTHOR      DATE       DESCRIPTION OF CHANGE                  */
/* ---   -----------  ---------    ---------------------                  */
/* 1.0   J. Loeliger  14/Jan/98    Initial version of function.           */
/* 1.1   J. Loeliger   8/Apr/98    Added reserved routine.                */
/* 1.2   J. Loeliger  22/Apr/98    Fixed #pragma interrupt syntax.        */
/* 1.3   J. Loeliger  12/Jan/98    Replaced #pragma with INTERRUPT to     */
/*                                 make file generic for other compilers. */
/**************************************************************************/

#include "m_common.h"

INTERRUPT void reserved (void)
{
    while (1) {
    }
}

INTERRUPT void machine_check_exception (void)
{
    while (1) {
    }
}

INTERRUPT void data_access_exception (void)
{
    while (1) {
    }
}

INTERRUPT void instruct_access_exception (void)
{
    while (1) {
    }
}

INTERRUPT void external_interrupt (void)
{
    while (1) {
    }
}

INTERRUPT void alignment_exception (void)
{
    while (1) {
    }
}

INTERRUPT void program_exception (void)
{
    while (1) {
    }
}

INTERRUPT void fp_unavailable_exception (void)
{
    while (1) {
    }
}

INTERRUPT void decrementer_exception (void)
{
    while (1) {
    }
}

INTERRUPT void system_call_exception (void)
{
    while (1) {
    }
}

INTERRUPT void trace_exception (void)
{
    while (1) {
    }
}

INTERRUPT void fp_assist_exception (void)
{
    while (1) {
    }
}

INTERRUPT void software_emulation_exception (void)
{
    while (1) {
    }
}

INTERRUPT void instruction_protection_exception (void)
{
    while (1) {
    }
}

INTERRUPT void data_protection_exception (void)
{
    while (1) {
    }
}

INTERRUPT void data_breakpoint (void)
{
    while (1) {
    }
}

INTERRUPT void instruct_breakpoint (void)
{
    while (1) {
    }
}

INTERRUPT void maskable_external_breakpoint (void)
{
    while (1) {
    }
}

INTERRUPT void nonmaskable_external_breakpoint (void)
{
    while (1) {
    }
}

/*****************************************************************************/
/* Motorola reserves the right to make changes without further notice to any */
/* product herein to improve reliability, function, or design. Motorola does */
/* not assume any  liability arising  out  of the  application or use of any */
/* product,  circuit, or software described herein;  neither  does it convey */
/* any license under its patent rights  nor the  rights of others.  Motorola */
/* products are not designed, intended,  or authorized for use as components */
/* in  systems  intended  for  surgical  implant  into  the  body, or  other */
/* applications intended to support life, or  for any  other application  in */
/* which the failure of the Motorola product  could create a situation where */
/* personal injury or death may occur. Should Buyer purchase or use Motorola */
/* products for any such intended  or unauthorized  application, Buyer shall */
/* indemnify and  hold  Motorola  and its officers, employees, subsidiaries, */
/* affiliates,  and distributors harmless against all claims costs, damages, */
/* and expenses, and reasonable  attorney  fees arising  out of, directly or */
/* indirectly,  any claim of personal injury  or death  associated with such */
/* unintended or unauthorized use, even if such claim alleges that  Motorola */
/* was negligent regarding the  design  or manufacture of the part. Motorola */
/* and the Motorola logo* are registered trademarks of Motorola Ltd.         */
/*****************************************************************************/
